      implicit none
      integer nmax, nmaxsqrt, nx, ny, nz, ntot
      parameter (nmax=512)
      parameter (nmaxsqrt=32)
      parameter (nx=128, ny=nx, nz=nx)
      parameter (ntot=nx*ny*nz)

      integer smax, nparam
      parameter (smax=100)
      parameter (nparam=100)

      real*8 pi
      common /constants/ pi
       
      real*8 time
      common /hands/ time

      real*8 etot(5),dtot,l,eta,rel,re,v,tau_t,ros(4),cor(3,3)
      common /measures/ etot,dtot,l,eta,rel,re,v,tau_t,ros,cor

!---- parameters ----
      integer nrun, mode
      common /run/ nrun, mode

      integer istart, iforce, irotate, iles, imodel
      integer ihyper, ihpower, ihypo, ihopower
      integer ipositive, iscalar
      integer tint, tmeas, ncheck, scheck, begin
      integer nf1, nf2, nf3
      real*8 dt, cfl, romega, rnu, ralpha
      real*8 epsf, fhigh, fpeak, flow
      real*8 ck, sigmak, cc, ce

      common /param/ istart, iforce, irotate, iles, imodel,
     &ihyper, ihpower, ihypo, ihopower,
     &ipositive, iscalar
      common /deltat/ dt, cfl
      common /rotation/ romega
      common /viscosity/ rnu, ralpha
      common /timestep/ tint, tmeas, ncheck, scheck, begin
      common /pforcing/ epsf, fhigh, fpeak, flow
      common /filtergrid/ nf1, nf2, nf3
      common /energycoe/ ck, sigmak, cc, ce

!---- basis of file name, it will be used in output file ----
      character*99 base
      common /fname/ base
